Page MenuHomePhabricator

Beta: Provide easier mapping between Wikistats1 metrics and Wikistats2 metrics (example: "active editors")
Closed, ResolvedPublic

Description

Provide easier way of accessing metrics such as active editors as defined in Wikistats 1

We were looking at numbers for editors on Wikidata on Wikistats 2. These numbers do not seem to match with the stats we have elsewhere. The number of editors who made at least one edit is twice at high as it probably should be.

https://stats.wikimedia.org/v2/#/wikidata.org/contributing/editors shows about 36000 editors
Compare with https://stats.wikimedia.org/wikispecial/EN/TablesWikipediaWIKIDATA.htm and second graph on https://grafana.wikimedia.org/dashboard/db/wikidata-site-stats?orgId=1&from=now-1y&to=now where it is about 19000. This also matches Special:Statistics on Wikidata.

A similar issue is present for German Wikipedia. We didn't check other sites.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2018, 4:56 PM
JAllemandou added a subscriber: JAllemandou.EditedFeb 20 2018, 5:00 PM

@Lydia: You should split by editor type. The editors you are talking about are, I think what we call in Wikistats 2 registered-users editors.
Please let us know if I'm wrong!

Nemo_bis renamed this task from data missmatch for number of editors to Data mismatch for number of Wikidata editors.Feb 20 2018, 5:29 PM
Nemo_bis added a subscriber: Nemo_bis.EditedFeb 20 2018, 5:38 PM

Note that the only official number for "active editors" is the 5+ edits/month editors, which is not (easily) provided by WikiStats v2.

To get a (theoretically) comparable number, you need to:

  1. click "split by activity level";
  2. click the "1-4" checkbox to deselect it;
  3. hover the graph for the desired period;
  4. note down and sum the individual numbers provided for each graph line;
  5. hope that "Split by editor type > Registered" and "Split by page type > Content" were implicitly selected, or otherwise trash your result.

For November 2017, the total provided for 5+ is 10345, compared to 8408 in the official WikiStats numbers you linked.

If I am right, this points out to a major difference between WikiStats and WikiStats v2:

  • All sums in the different filters/ splits of WikiStats v2 seem to include "anonymous" editors (IPs, I suppose). So, for the Wikidata editors Total of 36628 for January 2017, roughly 46% derive from anonymus editors. Same for the activity level splits.
  • The original Wikistats used to count active editors as "Registered (and signed in) users who made 5 or more edits in a month". This did not include anonymous editors, as far as I understand.
  • As there currently is no possibillity to cross the "activity level" and the "editor type" filter, you can't generate data comparable to the original definition of "active editors".

Has this comparability issue been dicussed before?

fdans renamed this task from Data mismatch for number of Wikidata editors to Provide easier way of accessing metrics as defined in Wikistats 1.Feb 22 2018, 5:33 PM
fdans added a subscriber: fdans.

This will become easier as we add bookmarking for Wikistats 2's splits/breakdowns.

fdans renamed this task from Provide easier way of accessing metrics as defined in Wikistats 1 to Beta: Provide easier way of accessing metrics as defined in Wikistats 1.Feb 22 2018, 5:37 PM
fdans moved this task from Incoming to Backlog (Later) on the Analytics board.
Nuria renamed this task from Beta: Provide easier way of accessing metrics as defined in Wikistats 1 to Beta: Provide easier way of accessing metrics such as active editors as defined in Wikistats 1.Mar 19 2018, 9:34 PM
Milimetric triaged this task as Normal priority.Apr 23 2018, 4:59 PM
Milimetric moved this task from Backlog (Later) to Wikistats Beta on the Analytics board.
Milimetric raised the priority of this task from Normal to High.Sep 18 2018, 1:53 PM
Nuria renamed this task from Beta: Provide easier way of accessing metrics such as active editors as defined in Wikistats 1 to Beta: Provide easier mapping between Wikistats1 metrics and Wikistats2 metrics (example: "active editors").Sep 20 2018, 3:36 PM
Nuria updated the task description. (Show Details)

@ChrisPins thanks for pointing this out.

Wikistats 1 doesn't count ip addresses as contributors, in that setup that would be rather silly. Sometimes one ip address stands for 10 or even much more people, like at schools and internet cafe (which are everywhere in Global South). Sometimes 10 or more ip addresses stand for one person (dynamic addresses).

Has this comparability issue been discussed before?

Too often. My take: counting people with 1 edit as contributors (and making this default, as these are included in the dashboard count) is rather questionable imo, and no progress. Stats are not about providing the largest number one can cook up. It should facilitate insights.

Milimetric lowered the priority of this task from High to Normal.Jan 7 2019, 5:20 PM
Nuria assigned this task to fdans.Feb 14 2019, 5:45 PM
Nuria added a subscriber: Nuria.Feb 14 2019, 5:48 PM

Ping @fdans to describe the plan to have better "bridge" between wikistats1 and wikistats2

Change 492060 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] [wip] Refactor dashboard metric widget

https://gerrit.wikimedia.org/r/492060

fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.Feb 25 2019, 2:10 PM

Change 492060 merged by Milimetric:
[analytics/wikistats2@master] Refactor dashboard metric widget

https://gerrit.wikimedia.org/r/492060

Change 494241 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Add concept of metric groups, rotate between them in dashboard

https://gerrit.wikimedia.org/r/494241

Change 494491 had a related patch set uploaded (by Mforns; owner: Mforns):
[analytics/wikistats2@master] Add getMainComponent to routes

https://gerrit.wikimedia.org/r/494491

Change 494919 had a related patch set uploaded (by Mforns; owner: Mforns):
[analytics/wikistats2@master] Add matchIf function to routes

https://gerrit.wikimedia.org/r/494919

Change 494491 abandoned by Fdans:
Add getMainComponent to routes

Reason:
Abandoning as it's being included in the metrics matrix change

https://gerrit.wikimedia.org/r/494491

Change 494919 abandoned by Mforns:
Add matchIf function to routes

Reason:
This is taken care by another patch.

https://gerrit.wikimedia.org/r/494919

Overall idea looks good. Adding screenshots for UX issues:

  • All metrics third option is not capitalized and displays in red
  • The "All metrics" screen displays overlapping "metric cards" (nice touch with the yellow there!)
  • The link for "Learn more about the differences between the old and new Wikistats metrics" points to the wrong place
  • "Reading", "Contributing" , "Content" should be links on the "All Metrics" screen just like they are on the top right corner

Change 494241 had a related patch set uploaded (by Milimetric; owner: Fdans):
[analytics/wikistats2@master] Add concept of metric groups, rotate in dashboard

https://gerrit.wikimedia.org/r/494241

Change 498748 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Create metrics matrix component

https://gerrit.wikimedia.org/r/498748

Milimetric moved this task from Done to In Code Review on the Analytics-Kanban board.

See screenshot, info box looks a bit strange cause there are no metrics marked as "wikistats1", we should have at least one so it is clear what we mean, right?

Change 494241 merged by Nuria:
[analytics/wikistats2@master] Add concept of metric groups, rotate in dashboard

https://gerrit.wikimedia.org/r/494241

Change 498748 merged by Nuria:
[analytics/wikistats2@master] Create metrics matrix component

https://gerrit.wikimedia.org/r/498748

First wave of changes on this regard are now live, see, for example, active editors bookmark for wikistats1 definition: https://stats.wikimedia.org/v2/#/it.wikipedia.org/contributing/active-editors/normal|line|2-Year|~total

Nuria closed this task as Resolved.Mar 28 2019, 10:53 PM